package cmm.service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import cmm.util.CmmUtil;
import cmm.util.CmmVO;
import cmm.util.DataMap;

@SuppressWarnings("serial")
public class CmmCmsContentsVO extends CmmVO {
		
	private String id = null;
	private String theme = "";
	private String themeCd = "";
	private String themeNm = "";
	private String series = "";
	private String seriesCd = "";
	private String seriesNm = "";
	private String firstTopic = "";
	private String secondTopic = "";
	private String title = "";
	private String firstClass = "";
	private String firstClassNm = "";
	private String secondClass = "";
	private String secondClassNm = "";
	private String firstCategory = "";
	private String firstCategoryNm = "";
	private String secondCategory = "";
	private String secondCategoryNm = "";
	
	private String sidoName1 = "";
	private String sigunguName1 = "";
	private String dongName1 = "";
	private String sidoName2 = "";
	private String sigunguName2 = "";
	private String dongName2 = "";
	private String latitude = "";
	private String longitude = "";
	private String trsSidoName = "";
	private String trsSigunguName = "";
	private String trsDongName = "";
	private String trsAge = "";
	private String age = "";
	private String chronologicalStart = "";
	private String chronologicalEnd = "";
	private String summary = "";
	private String description = "";
	private String addInformation = "";
	private String writerOpinion = "";
	private String writer = "";
	private String cclType = "";
	private String genyear = "";
	private Date deletedAt = null;
	private Date updatedAt = null;
	private Date createdAt = null;
	private String interfaceId = "";
	private String linkData = "";
	private String useAt = "";
	private String mainImg = "";
	private String recommendYn = "";
	
	private String tags = "";
	private String couName = "";
	private int cnt = 0;
	
	private String contentId;
	private String refType="";
	private String refDesc="";
	private String supLinkData="";
	private String keyName="";
	private String tagsName="";
	private String supType="";
	private String relDesc="";
	private String region="";
	private String code="";
	private String copyright="";
	List<String> contentIdList;
	List<String> tagsList;
	List<DataMap> topicList;
	List<DataMap> councilList;

	private String [] categoryArray1;
	private String [] categoryArray2;
	private String [] categoryArray3;
	private String [] topicArray;
	
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTheme() {
		return theme;
	}

	public void setTheme(String theme) {
		this.theme = theme;
	}
	
	public String getThemeCd() {
		return themeCd;
	}

	public void setThemeCd(String themeCd) {
		this.themeCd = themeCd;
	}

	public String getThemeNm() {
		return themeNm;
	}

	public void setThemeNm(String themeNm) {
		this.themeNm = themeNm;
	}

	public String getSeries() {
		return series;
	}

	public void setSeries(String series) {
		this.series = series;
	}
	
	public String getSeriesCd() {
		return seriesCd;
	}

	public void setSeriesCd(String seriesCd) {
		this.seriesCd = seriesCd;
	}

	public String getSeriesNm() {
		return seriesNm;
	}

	public void setSeriesNm(String seriesNm) {
		this.seriesNm = seriesNm;
	}

	public String getFirstTopic() {
		return firstTopic;
	}

	public void setFirstTopic(String firstTopic) {
		this.firstTopic = firstTopic;
	}

	public String getSecondTopic() {
		return secondTopic;
	}

	public void setSecondTopic(String secondTopic) {
		this.secondTopic = secondTopic;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getFirstClass() {
		return firstClass;
	}

	public void setFirstClass(String firstClass) {
		this.firstClass = firstClass;
	}

	public String getFirstClassNm() {
		return firstClassNm;
	}

	public void setFirstClassNm(String firstClassNm) {
		this.firstClassNm = firstClassNm;
	}

	public String getSecondClass() {
		return secondClass;
	}

	public void setSecondClass(String secondClass) {
		this.secondClass = secondClass;
	}

	public String getSecondClassNm() {
		return secondClassNm;
	}

	public void setSecondClassNm(String secondClassNm) {
		this.secondClassNm = secondClassNm;
	}

	public String getFirstCategory() {
		return firstCategory;
	}

	public void setFirstCategory(String firstCategory) {
		this.firstCategory = firstCategory;
	}

	public String getFirstCategoryNm() {
		return firstCategoryNm;
	}

	public void setFirstCategoryNm(String firstCategoryNm) {
		this.firstCategoryNm = firstCategoryNm;
	}

	public String getSecondCategory() {
		return secondCategory;
	}

	public void setSecondCategory(String secondCategory) {
		this.secondCategory = secondCategory;
	}

	public String getSecondCategoryNm() {
		return secondCategoryNm;
	}

	public void setSecondCategoryNm(String secondCategoryNm) {
		this.secondCategoryNm = secondCategoryNm;
	}

	public String getSidoName1() {
		return sidoName1;
	}

	public void setSidoName1(String sidoName1) {
		this.sidoName1 = sidoName1;
	}

	public String getSigunguName1() {
		return sigunguName1;
	}

	public void setSigunguName1(String sigunguName1) {
		this.sigunguName1 = sigunguName1;
	}

	public String getDongName1() {
		return dongName1;
	}

	public void setDongName1(String dongName1) {
		this.dongName1 = dongName1;
	}

	public String getSidoName2() {
		return sidoName2;
	}

	public void setSidoName2(String sidoName2) {
		this.sidoName2 = sidoName2;
	}

	public String getSigunguName2() {
		return sigunguName2;
	}

	public void setSigunguName2(String sigunguName2) {
		this.sigunguName2 = sigunguName2;
	}

	public String getDongName2() {
		return dongName2;
	}

	public void setDongName2(String dongName2) {
		this.dongName2 = dongName2;
	}

	public String getLatitude() {
		return latitude;
	}

	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}

	public String getLongitude() {
		return longitude;
	}

	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}

	public String getTrsSidoName() {
		return trsSidoName;
	}

	public void setTrsSidoName(String trsSidoName) {
		this.trsSidoName = trsSidoName;
	}

	public String getTrsSigunguName() {
		return trsSigunguName;
	}

	public void setTrsSigunguName(String trsSigunguName) {
		this.trsSigunguName = trsSigunguName;
	}

	public String getTrsDongName() {
		return trsDongName;
	}

	public void setTrsDongName(String trsDongName) {
		this.trsDongName = trsDongName;
	}

	public String getTrsAge() {
		return trsAge;
	}

	public void setTrsAge(String trsAge) {
		this.trsAge = trsAge;
	}

	public String getAge() {
		return age;
	}

	public void setAge(String age) {
		this.age = age;
	}

	public String getChronologicalStart() {
		return chronologicalStart;
	}

	public void setChronologicalStart(String chronologicalStart) {
		this.chronologicalStart = chronologicalStart;
	}

	public String getChronologicalEnd() {
		return chronologicalEnd;
	}

	public void setChronologicalEnd(String chronologicalEnd) {
		this.chronologicalEnd = chronologicalEnd;
	}

	public String getSummary() {
		return summary;
	}

	public void setSummary(String summary) {
		this.summary = summary;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getAddInformation() {
		return addInformation;
	}

	public void setAddInformation(String addInformation) {
		this.addInformation = addInformation;
	}

	public String getWriterOpinion() {
		return writerOpinion;
	}

	public void setWriterOpinion(String writerOpinion) {
		this.writerOpinion = writerOpinion;
	}

	public String getWriter() {
		return writer;
	}

	public void setWriter(String writer) {
		this.writer = writer;
	}

	public String getCclType() {
		return cclType;
	}

	public void setCclType(String cclType) {
		this.cclType = cclType;
	}

	public String getGenyear() {
		return genyear;
	}

	public void setGenyear(String genyear) {
		this.genyear = genyear;
	}

	public Date getDeletedAt() {
		return deletedAt;
	}

	public void setDeletedAt(Date deletedAt) {
		this.deletedAt = deletedAt;
	}

	public Date getUpdatedAt() {
		return updatedAt;
	}

	public void setUpdatedAt(Date updatedAt) {
		this.updatedAt = updatedAt;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public String getInterfaceId() {
		return interfaceId;
	}

	public void setInterfaceId(String interfaceId) {
		this.interfaceId = interfaceId;
	}

	public String getLinkData() {
		return linkData;
	}

	public void setLinkData(String linkData) {
		this.linkData = linkData;
	}

	public String getUseAt() {
		return useAt;
	}

	public void setUseAt(String useAt) {
		this.useAt = useAt;
	}

	public String getMainImg() {
		return mainImg;
	}

	public void setMainImg(String mainImg) {
		this.mainImg = mainImg;
	}

	public String getRecommendYn() {
		return recommendYn;
	}

	public void setRecommendYn(String recommendYn) {
		this.recommendYn = recommendYn;
	}

	public String getTags() {
		return tags;
	}

	public void setTags(String tags) {
		this.tags = tags;
	}

	public String getCouName() {
		return couName;
	}

	public void setCouName(String couName) {
		this.couName = couName;
	}

	public int getCnt() {
		return cnt;
	}

	public void setCnt(int cnt) {
		this.cnt = cnt;
	}

	public String getContentId() {
		return contentId;
	}

	public void setContentId(String contentId) {
		this.contentId = contentId;
	}

	public String getRefType() {
		return refType;
	}

	public void setRefType(String refType) {
		this.refType = refType;
	}

	public String getRefDesc() {
		return refDesc;
	}

	public void setRefDesc(String refDesc) {
		this.refDesc = refDesc;
	}

	public String getSupLinkData() {
		return supLinkData;
	}

	public void setSupLinkData(String supLinkData) {
		this.supLinkData = supLinkData;
	}

	public String getKeyName() {
		return keyName;
	}

	public void setKeyName(String keyName) {
		this.keyName = keyName;
	}

	public String getTagsName() {
		return tagsName;
	}

	public void setTagsName(String tagsName) {
		this.tagsName = tagsName;
	}

	public String getSupType() {
		return supType;
	}

	public void setSupType(String supType) {
		this.supType = supType;
	}

	public String getRelDesc() {
		return relDesc;
	}

	public void setRelDesc(String relDesc) {
		this.relDesc = relDesc;
	}
	
	public String getCopyright() {
		return copyright;
	}

	public void setCopyright(String copyright) {
		this.copyright = copyright;
	}

	public List<String> getContentIdList() {
		List<String> ret = null;
		if(this.contentIdList != null){
			ret = new ArrayList<String>(); 
			ret = this.contentIdList;
		}
		return ret;
	}
	
	public void setContentIdList(List<String> contentIdList) { 
		this.contentIdList = new ArrayList<String> (contentIdList.size()); 
		for(int i=0; i<contentIdList.size(); ++i) {
			this.contentIdList.add(i, contentIdList.get(i)); 
		}
	}
	
	
	public List<String> getTagsList() {
		List<String> ret = null;
		if(this.tagsList != null){
			ret = new ArrayList<String>(); 
			ret = this.tagsList;
		}
		return ret;
	}

	public void setTagsList(List<String> tagsList) {
		this.tagsList = new ArrayList<String> (tagsList.size()); 
		for(int i=0; i<tagsList.size(); ++i) {
			this.tagsList.add(i, tagsList.get(i)); 
		}
	}

	public List<DataMap> getTopicList() {
		List<DataMap> ret = null;
		if(this.topicList != null){
			ret = new ArrayList<DataMap>(); 
			ret = this.topicList;
		}
		return ret;
	}
	
	public void setTopicList(List<DataMap> topicList) { 
		this.topicList = new ArrayList<DataMap> (topicList.size()); 
		for(int i=0; i<topicList.size(); ++i) {
			this.topicList.add(i, topicList.get(i)); 
		}
	}
	
	public List<DataMap> getCouncilList() {
		List<DataMap> ret = null;
		if(this.councilList != null){
			ret = new ArrayList<DataMap>(); 
			ret = this.councilList;
		}
		return ret;
	}
	
	public void setCouncilList(List<DataMap> councilList) { 
		this.councilList = new ArrayList<DataMap> (councilList.size()); 
		for(int i=0; i<councilList.size(); ++i) {
			this.councilList.add(i, councilList.get(i)); 
		}
	}

	public String[] getCategoryArray1() {
		String[] ret = null;
		if(this.categoryArray1 != null){
			ret = new String[categoryArray1.length]; 
			ret = this.categoryArray1;
		}
		return ret;
	}
	
	public void setCategoryArray1(String[] categoryArray1) { 
		this.categoryArray1 = new String[categoryArray1.length]; 
		for(int i=0; i<categoryArray1.length; ++i) {
			this.categoryArray1[i] = categoryArray1[i]; 
		}
	}
	
	public String[] getCategoryArray2() {
		String[] ret = null;
		if(this.categoryArray2 != null){
			ret = new String[categoryArray2.length]; 
			ret = this.categoryArray2;
		}
		return ret;
	}
	
	public void setCategoryArray2(String[] categoryArray2) { 
		this.categoryArray2 = new String[categoryArray2.length]; 
		for(int i=0; i<categoryArray2.length; ++i) {
			this.categoryArray2[i] = categoryArray2[i]; 
		}
	}
	
	public String[] getCategoryArray3() {
		String[] ret = null;
		if(this.categoryArray3 != null){
			ret = new String[categoryArray3.length]; 
			ret = this.categoryArray3;
		}
		return ret;
	}
	
	public void setCategoryArray3(String[] categoryArray3) { 
		this.categoryArray3 = new String[categoryArray3.length]; 
		for(int i=0; i<categoryArray3.length; ++i) {
			this.categoryArray3[i] = categoryArray3[i]; 
		}
	}
	
	public String[] getTopicArray() {
		return topicArray;
	}

	public void setTopicArray(String[] topicArray) {
		this.topicArray = topicArray;
	}

	public String getRegion() {
		return region;
	}

	public void setRegion(String region) {
		this.region = region;
	}
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
	/**
	 * toString()
	 * @return String
	 */
    public String toString() {
    	return CmmUtil.reflectionToString(this);
    }
	
}
